package com.bocloud.cmp.model;

/**
 * 服务器业务对象
 *
 * @author wei wei
 * @version 1.0
 * @since 2016.04.27
 */
public class ServerBaseBean {
    private String ip;
    private Integer agentPort;
    private Integer port;
    private String username;
    private String passsword;

    public ServerBaseBean(String ip, Integer agentPort, Integer port, String username, String passsword) {
        super();
        this.ip = ip;
        this.agentPort = agentPort;
        this.port = port;
        this.username = username;
        this.passsword = passsword;
    }

    /**
     * @return the ip
     */
    public String getIp() {
        return ip;
    }

    /**
     * @param ip the ip to set
     */
    public void setIp(String ip) {
        this.ip = ip;
    }

    /**
     * @return the agentPort
     */
    public Integer getAgentPort() {
        return agentPort;
    }

    /**
     * @param agentPort the agentPort to set
     */
    public void setAgentPort(Integer agentPort) {
        this.agentPort = agentPort;
    }

    /**
     * @return the port
     */
    public Integer getPort() {
        return port;
    }

    /**
     * @param port the port to set
     */
    public void setPort(Integer port) {
        this.port = port;
    }

    /**
     * @return the username
     */
    public String getUsername() {
        return username;
    }

    /**
     * @param username the username to set
     */
    public void setUsername(String username) {
        this.username = username;
    }

    /**
     * @return the passsword
     */
    public String getPasssword() {
        return passsword;
    }

    /**
     * @param passsword the passsword to set
     */
    public void setPasssword(String passsword) {
        this.passsword = passsword;
    }
}
